<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
	android:layout_width="fill_parent"
	android:layout_height="fill_parent"
	>

    <SurfaceView
    	android:id="@+id/camera"
	    android:layout_width="fill_parent"
	    android:layout_height="fill_parent"
	    android:visibility="invisible"
    	/>
    
    <TextView
    	android:id="@+id/channel_name"
	    android:layout_width="wrap_content"
	    android:layout_height="wrap_content"
	    android:layout_alignParentTop="true"
	    android:layout_alignParentLeft="true"
	    android:layout_marginTop="5dp"
	    android:layout_marginLeft="7dp"
	    android:textColor="#e000ff00"
	    android:textSize="28sp"
	    android:shadowColor="#e0000000"
	    android:shadowRadius="1.5"
    	/>
    
    <DigitalClock
    	android:id="@+id/clock"
	    android:layout_width="wrap_content"
	    android:layout_height="wrap_content"
	    android:layout_alignParentTop="true"
	    android:layout_alignParentRight="true"
	    android:layout_marginTop="5dp"
	    android:layout_marginRight="7dp"
	    android:textColor="#e0ffffff"
	    android:textSize="24sp"
	    android:shadowColor="#e0000000"
	    android:shadowRadius="1.5"
    	/>
    
    <view class="jp.sourceforge.nicoro.MessageView"
    	android:id="@+id/message_view"
	    android:layout_width="fill_parent"
	    android:layout_height="fill_parent"
	    android:background="@null"
	    android:keepScreenOn="true"
    	/>

	<LinearLayout
		android:id="@+id/player_controller"
		android:layout_width="fill_parent"
		android:layout_height="wrap_content"
		android:orientation="vertical"
	    android:layout_alignParentBottom="true"
		android:background="#80402000"
		android:visibility="invisible"
		>
		
		<ToggleButton
			android:id="@+id/button_camera_onoff"
			android:layout_width="110dp"
			android:layout_height="wrap_content"
			android:layout_gravity="right"
			android:textSize="14dp"
		    android:textOn="@string/button_camera_on"
		    android:textOff="@string/button_camera_off"
			/>
		
	</LinearLayout>

</RelativeLayout>
